%global pypi_name pytest-xprocess

Summary:        Pytest plugin to manage external processes across test runs
Name:           python-%{pypi_name}
Version:        0.23.0
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/pytest-dev/pytest-xprocess
Source0:        %{pypi_source}

BuildRequires:  python3-devel python3dist(psutil) python3dist(pytest) python3dist(setuptools) python3dist(setuptools-scm)
BuildArch:      noarch

%description
Experimental py.test <>_ plugin for managing processes across test runs.Usage
install via:: pip install pytest-xprocessThis will provide a xprocess fixture
which helps you to ensure that one ore more longer-running processes are
present for your tests. You can use it to start and pre-configure test-specific
databases (Postgres, Couchdb, ...).Additionally there are two new command line...

%package -n     python3-%{pypi_name}
Summary:        Pytest plugin to manage external processes across test runs
Requires:       python3dist(psutil) python3dist(pytest) python3dist(setuptools)

%description -n python3-%{pypi_name}
Experimental py.test <>_ plugin for managing processes across test runs.Usage
install via:: pip install pytest-xprocessThis will provide a xprocess fixture
which helps you to ensure that one ore more longer-running processes are
present for your tests. You can use it to start and pre-configure test-specific
databases (Postgres, Couchdb, ...).Additionally there are two new command line...

%prep
%autosetup -n %{pypi_name}-%{version} -p1
rm -rf %{pypi_name}.egg-info
chmod -x README.rst

%build
%py3_build

%install
%py3_install

%check
%pytest

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/xprocess/
%{python3_sitelib}/pytest_xprocess-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.23.0-3
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.23.0-2
- Rebuilt for loongarch release

* Mon Dec 11 2023 Shuo Wang <abushwang@tencent.com> - 0.23.0-1
- initial build
